/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: PageShape.idl,v $
 * $Revision: 1.7 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_drawing_PageShape_idl__ 
#define __com_sun_star_drawing_PageShape_idl__ 
 
#ifndef __com_sun_star_drawing_Shape_idl__ 
#include <com/sun/star/drawing/Shape.idl> 
#endif 
 
 
//============================================================================= 
 
 module com {  module sun {  module star {  module drawing {  
 
//============================================================================= 
 
// DocMerge from xml: service com::sun::star::drawing::PageShape
/** This service is for a page shape.
    A page shape displays a preview of another page. These shapes
    are used inside notes pages to preview the corresponding
    drawing page. Theyre also used in the handout page to preview
    the printing position and order of pages
 */
published service PageShape
{ 
    // DocMerge: empty anyway
    service com::sun::star::drawing::Shape; 
 
    /** this is the page number that is used for the preview.
        For page shapes on notes pages, this can't be changed.
        For page shapes on handout pages, this value only
        describes the relative order of the different page
        shapes on the page.
    */
    [optional, property] long PageNumber;
}; 
 
//============================================================================= 
 
}; }; }; };  
 
#endif 

